Unverified Commit 30a7dfa4 authored by Florian Ruynat's avatar Florian Ruynat Committed by GitHub
Browse files

Fix ubuntu16/centos8 CI jobs (#7972)

parent 62ab4778
---
containerd_versioned_pkg:
'latest': "{{ containerd_package }}"
'1.3.7': "{{ containerd_package }}=1.3.7-1"
'1.3.9': "{{ containerd_package }}=1.3.9-1"
'1.4.3': "{{ containerd_package }}=1.4.3-2"
'1.4.4': "{{ containerd_package }}=1.4.4-1"
'1.4.6': "{{ containerd_package }}=1.4.6-1"
'stable': "{{ containerd_package }}=1.4.6-1"
'edge': "{{ containerd_package }}=1.4.6-1"
---
# https://download.docker.com/linux/ubuntu/
docker_versioned_pkg:
'latest': docker-ce
'18.09': docker-ce=5:18.09.9~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'19.03': docker-ce=5:19.03.15~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'20.10': docker-ce=5:20.10.7~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'stable': docker-ce=5:20.10.7~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'edge': docker-ce=5:20.10.7~3-0~ubuntu-{{ ansible_distribution_release|lower }}
docker_cli_versioned_pkg:
'latest': docker-ce-cli
'18.09': docker-ce-cli=5:18.09.9~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'19.03': docker-ce-cli=5:19.03.15~3-0~ubuntu-{{ ansible_distribution_release|lower }}
'20.10': docker-ce-cli=5:20.10.7~3-0~ubuntu-{{ ansible_distribution_release|lower }}
docker_package_info:
pkgs:
- "{{ containerd_versioned_pkg[containerd_version | string] }}"
- "{{ docker_cli_versioned_pkg[docker_cli_version | string] }}"
- "{{ docker_versioned_pkg[docker_version | string] }}"
docker_repo_key_info:
url: '{{ docker_ubuntu_repo_gpgkey }}'
repo_keys:
- '{{ docker_ubuntu_repo_repokey }}'
docker_repo_info:
repos:
- >
deb [arch={{ host_architecture }}] {{ docker_ubuntu_repo_base_url }}
{{ ansible_distribution_release|lower }}
stable
......@@ -2,6 +2,7 @@
# Instance settings
cloud_image: centos-8
mode: default
vm_memory: 3072Mi
# Kubespray settings
kube_network_plugin: kube-ovn
......
......@@ -8,3 +8,6 @@ calico_datastore: etcd
kube_network_plugin: canal
deploy_netchecker: true
dns_min_replicas: 1
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
......@@ -8,3 +8,6 @@ calico_datastore: etcd
kube_network_plugin: canal
deploy_netchecker: true
dns_min_replicas: 1
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
......@@ -10,3 +10,6 @@ kubeadm_certificate_key: 3998c58db6497dd17d909394e62d515368c06ec617710d02edea31c
skip_non_kubeadm_warning: true
deploy_netchecker: true
dns_min_replicas: 1
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
......@@ -8,3 +8,6 @@ bootstrap_os: ubuntu
kube_network_plugin: kube-router
deploy_netchecker: true
dns_min_replicas: 1
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
......@@ -10,3 +10,6 @@ deploy_netchecker: true
dns_min_replicas: 1
kube_router_run_service_proxy: true
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
......@@ -9,3 +9,6 @@ deploy_netchecker: true
dns_min_replicas: 1
auto_renew_certificates: true
# Ubuntu 16 packages for containerd are limited to 1.4.6
containerd_version: 1.4.6
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment